{"openapi":"3.1.0","info":{"title":"GET /api/v1/counterparty-defaults","version":"1.0.0","description":"List counterparty defaults"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/counterparty-defaults":{"get":{"tags":["counterparty-defaults"],"summary":"List counterparty defaults","description":"List all counterparty defaults configured for the current business.","operationId":"list_counterparty_defaults_api_v1_counterparty_defaults_get","parameters":[{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CounterpartyDefaultListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"CounterpartyDefaultListResponse":{"properties":{"defaults":{"items":{"$ref":"#/components/schemas/CounterpartyDefaultResponse"},"type":"array","title":"Defaults"},"total":{"type":"integer","title":"Total"}},"type":"object","required":["defaults","total"],"title":"CounterpartyDefaultListResponse","description":"Wrapped collection response."},"CounterpartyDefaultResponse":{"properties":{"id":{"type":"string","title":"Id"},"business_id":{"type":"string","title":"Business Id"},"registry_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Registry Id"},"counterparty_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Counterparty Name"},"default_ledger_id":{"type":"string","title":"Default Ledger Id"},"default_ledger_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Default Ledger Name"},"memo":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Memo"},"mark_personal":{"type":"boolean","title":"Mark Personal"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","business_id","registry_id","counterparty_name","default_ledger_id","memo","mark_personal","created_at","updated_at"],"title":"CounterpartyDefaultResponse","description":"Public shape of a counterparty default."},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}